This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966838 - rt2500pci driver periodically drops connection
rt2500pci driver periodically drops connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 01:29 EDT by Leon
Modified: 2014-06-16 09:49 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 05:22:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon 2013-05-24 01:29:16 EDT
Description of problem:
Wireless card using rt2500pci driver periodically drops network

Version-Release number of selected component (if applicable):


How reproducible:
Happens randomly or when network connectivity continues for over +/- 6 hours

Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:
The following events occur when the driver drops connection.
May 23 23:31:24 localhost NetworkManager[647]: <info> (wlan0): supplicant interface state: disconnected -> scanning
May 23 23:31:25 localhost kernel: [40801.498358] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
May 23 23:31:31 localhost kernel: [40807.312028] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
May 23 23:31:36 localhost kernel: [40813.122023] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
May 23 23:31:42 localhost kernel: [40818.934024] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
May 23 23:31:48 localhost kernel: [40824.746023] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
May 23 23:31:49 localhost NetworkManager[647]: <warn> Activation (wlan0/wireless): association took too long.
May 23 23:31:49 localhost NetworkManager[647]: <info> (wlan0): device state change: config -> need-auth (reason 'none') [50 60 0]
May 23 23:31:49 localhost NetworkManager[647]: <warn> Activation (wlan0/wireless): asking for new secrets
May 23 23:31:49 localhost NetworkManager[647]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
May 23 23:31:49 localhost NetworkManager[647]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.

Additional repeat errors after that:
May 23 23:34:58 localhost kernel: [41014.926023] phy0 -> rt2x00queue_write_tx_frame: Error - Dropping frame due to full tx queue 0.
Comment 1 Leon 2013-05-24 01:32:22 EDT
Current quick work-around:

modprobe -r rt2500pci
modprobe -a rt2500pci

- The network then gets re-connected via KDE Network Manager automatically
Comment 2 Jan Grulich 2013-05-24 01:45:06 EDT
It doesn't seem to be a problem in kde-plasma-networkmanagement, because KDE networkmanagement applet itself doesn't disconnect from some connection until you click on disconnect button. It looks like a problem in NetworkManager itself or some problem with your drivers. Assigning to NetworkManager.
Comment 3 Dan Williams 2013-05-28 18:27:39 EDT
Clearly a kernel driver problem, given the dmesg log output.  The device has simply stopped transmitting.
Comment 4 Stanislaw Gruszka 2013-06-03 14:55:43 EDT
Does "iwconfig wlan0 power off" workaround that issue ?
Comment 5 Fedora End Of Life 2013-07-03 23:23:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Stanislaw Gruszka 2013-07-04 02:20:22 EDT
Closing due to lack of response ...
Comment 7 Leon 2013-07-04 11:15:55 EDT
Apologies, did not see the request for information status.

"iwconfig wlan0 power off" never resolved the issue. Was built into start up.
Purchased a newer PCI card as resolution, but not yet tested. 

The rt2500pci driver has performed better over the last two days performing at least longer than 24 hours continiously. but still not perfect.

I believe it can be tested in newer release of Fedora as 17 is reaching EOL.
Comment 8 Justin M. Forbes 2013-10-18 17:00:36 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 9 Stanislaw Gruszka 2013-11-20 05:22:28 EST
This issue happen on very old hardware, we will not fix it , sorry.
Comment 10 Leon 2013-11-20 05:30:19 EST
Yep. Gathered that. fixed the problem long time ago by using the card in a windows machine, and using a usb wifi device for linux
Comment 11 Leon 2014-06-16 09:49:48 EDT
Mark the card as non compatible with linux fedora. item closed

Note You need to log in before you can comment on or make changes to this bug.